Bug 58943 - pam_ldap does't authenticate when users change password
pam_ldap does't authenticate when users change password
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 08:53 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/ldap.conf (335 bytes, patch)
2002-01-28 09:01 EST, Need Real Name
no flags Details | Diff
output of slapd -d255 (2.27 KB, text/plain)
2002-01-28 09:02 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-01-28 08:53:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (Windows NT 5.0; U)

Description of problem:
pam_ldap and nss_ldap are working correctly. A problem occurs when a user tries to change his password. Sample output of passwd:
[user@host user]$ passwd
Enter login(LDAP) password:
New UNIX password:
Retype new UNIX password:
LDAP password information update failed: Insufficient access
passwd: Permission denied

Server: openldap-2.0.11-13. No SSL.
No problem with RH7.1-clients

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see log files
	

Additional info:
Comment 1 Need Real Name 2002-01-28 09:01:04 EST
Created attachment 43776 [details]
/etc/ldap.conf
Comment 2 Need Real Name 2002-01-28 09:02:24 EST
Created attachment 43777 [details]
output of slapd -d255
Comment 3 Lauri Jesmin 2002-03-26 07:17:18 EST
It works with the latest pam_ldap module, that i downloaded from padl com and
compiled by myself. RH default pam_ldap module did not work.
Comment 4 Pawel Salek 2002-06-16 10:26:52 EDT
 I think it is not a problem any more with RH7.3
Comment 5 Bill Nottingham 2006-08-07 15:37:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 12:56:14 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.